Subject: bug#26203: [PATCH] gnu: Add swaks.

From: Leo Famulari <[email-masked]>
Date: Tue, 21 Mar 2017 14:02:54 -0400

On Tue, Mar 21, 2017 at 03:43:29PM +0100, Marius Bakke wrote:
> By the way, my email client says your PGP signature is bad. Is your
> email client incorrectly configured, or is my key out of date? I fetched
> 0x2E25EE8B61802BB3 from "keys.gnupg.net".
> 
> The fingerprint is:
> 7F73 0343 F2F0 9F3C 77BF  79D3 2E25 EE8B 6180 2BB3

I see the same thing in Mutt, which is using gpgme 1.8.0 for PGP.

I notice your key does not have an expiration date; many clients
interpret signatures with expired keys as "bad" signatures. Perhaps
that's what's going happening here.